##
##  libnut.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libnut
Summary:      NUT Video/Audio Container Format Library
URL:          http://www.nut-container.org/
Vendor:       Oded Shimon et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Video
License:      MIT-style
Version:      20090314
Release:      20090314

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/libnut/libnut-%{version}.tar.gz
Patch0:       libnut.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    NUT is a patent-free, multimedia container format originally
    conceived by a few MPlayer and FFmpeg developers that were
    dissatisfied with the limitations of all currently available
    multimedia container formats such as AVI, Ogg or Matroska. It
    aims to be simple, flexible, extensible, compact and error
    resistant (error resilient), thus addressing most if not all of the
    shortcomings present in alternative formats, like excessive CPU and
    size overhead, file size limits, inability to allow fine grained
    seeking or restrictions on the type of data they can contain.

%track
    prog libnut = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/libnut/
        regex     = libnut-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n libnut
    %patch -p0

%build
    %{l_make} %{l_mflags} \
        CC="%{l_cc} %{l_cflags -O}"

%install
    %{l_make} %{l_mflags} install \
        DESTDIR=$RPM_BUILD_ROOT \
        PREFIX=%{l_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

